Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600743 - filesystem type unknow for lvm root fs [NEEDINFO]
Summary: filesystem type unknow for lvm root fs
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.5
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: YongkuiGuo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 23:54 UTC by Abhilasha Revur
Modified: 2019-04-12 14:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-12 14:29:03 UTC
Target Upstream Version:
ptoscano: needinfo? (abhilasha.m.revur)


Attachments (Terms of Use)
debug and trace of the guestfish commands (deleted)
2018-07-12 23:54 UTC, Abhilasha Revur
no flags Details
debug and trace of the guestfish commands (deleted)
2018-07-13 00:08 UTC, Abhilasha Revur
no flags Details

Description Abhilasha Revur 2018-07-12 23:54:37 UTC
Description of problem:
I am trying to get filesystems of a VM which has root fs on lvm. The libguestfs tool is not able to detect the filesystem type of this.

Version-Release number of selected component (if applicable):
guestfish 1.36.10rhel=7,release=6.el7_5.2,libvirt

How reproducible:


Steps to Reproduce:
1.Export disks from vmware
2.Run the tool
3.vfs_type "/dev/rhel/root"

Actual results:
unknown

Expected results:
xfs

Additional info:

Comment 2 Abhilasha Revur 2018-07-13 00:08:53 UTC
Created attachment 1458588 [details]
debug and trace of the guestfish commands

Comment 3 Richard W.M. Jones 2018-07-13 07:43:48 UTC
You probably need to install the libguestfs-xfs package to
get XFS support, but it's not very clear from your description
what you're trying to do.  If installing libguestfs-xfs
doesn't help then produce a step by step description of
what you're doing that we can follow.

Comment 4 Pino Toscano 2018-07-13 15:41:02 UTC
Other than what Rich said:

(In reply to Abhilasha Revur from comment #0)
> Steps to Reproduce:
> 1.Export disks from vmware

Using virt-v2v, or with some other tool?

> 2.Run the tool

How exactly did you run guestfish? The log you provided start at some point.

Also: please provide the logs in *plain text* format, not HTML nor docx. Otherwise, it very hard for us to examine them.

Comment 5 YongkuiGuo 2019-02-22 10:05:45 UTC
I cannot reproduce this bug based on the known info. Set the NAK flag temporarily.

Comment 6 Pino Toscano 2019-04-12 14:29:03 UTC
No logs neither additional information provided in the last 9 months, closing.


Note You need to log in before you can comment on or make changes to this bug.